config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  root 'static_pages#index'
  resources :mems
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/mem.rb
class Mem < ApplicationRecord
end

app/models/user.rb
class User < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable, :trackable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :validatable

  validates :first_name, presence: :true, length: {maximum: 30, minimum: 3}
  validates :last_name, presence: true, length: {maximum: 30, minimun: 3}
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
     protect_from_forgery with: :exception

     before_action :configure_permitted_parameters, if: :devise_controller?

     protected

          def configure_permitted_parameters
               devise_parameter_sanitizer.permit(:sign_up) { |u| u.permit(:first_name, :last_name, :email, :password)}

               devise_parameter_sanitizer.permit(:account_update) { |u| u.permit(:first_name, :last_name, :email, :password, :current_password)}
          end
end

app/controllers/mems_controller.rb
class MemsController < ApplicationController
  before_action :authenticate_user!
  def index 
    # @mem = Mem.all
  end 
end

app/controllers/static_pages_controller.rb
class StaticPagesController < ApplicationController
  def index
    
  end 
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/mems_helper.rb
module MemsHelper
end

app/helpers/static_pages_helper.rb
module StaticPagesHelper
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Membook</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>

    <% if notice.present? %>
      <p class="alert alert-info"><%= notice %></p>
    <% end %>
    <% if alert.present? %>
      <p class="alert alert-danger"><%= alert %></p>
    <% end %>
    
    <%= yield %>
  </body>
</html>

app/views/mems/index.html.erb
<html>
  <head>
  </head>
  <body>
    <h1> User Specfic Listed Mems </h1>
  </body>
</html>

app/views/static_pages/index.html.erb
<html>
  <head>
  </head>
  <body>
    <h1> MemBook Home Page</h1>

    <%= link_to 'User Mem listing page', mems_path, class: 'btn btn-secondary' %>
  </body>
</html>